package com.sample.timerproject;

import java.util.Calendar;

import android.app.AlarmManager;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;
import android.widget.Toast;

public class TimerAlarm extends BroadcastReceiver{
	private static String strLogTag = "TIMERSAMPLE";
    @Override
    public void onReceive(Context context, Intent intent) 
    {   
		Log.d(strLogTag, String.format("Alarm received Broadcast message - %s", intent.getAction()));
		//DO SOME WORK Like start a service for download/upload etc.,
		Calendar c = Calendar.getInstance();
		String strsendtime = String.format("%04d-%02d-%02dT%02d-%02d-%02d", c.get(Calendar.YEAR), c.get(Calendar.MONTH), c.get(Calendar.DAY_OF_MONTH),
				c.get(Calendar.HOUR), c.get(Calendar.MINUTE),c.get(Calendar.SECOND));
		Toast.makeText(context, String.format("Timer Broadcast occured at %s", strsendtime), Toast.LENGTH_LONG).show();
    }

	public void SetAlarm(Context context)
	{
	    AlarmManager am=(AlarmManager)context.getSystemService(Context.ALARM_SERVICE);
	    Intent i = new Intent("com.sample.timerproject.START_ALARM");
	    PendingIntent pi = PendingIntent.getBroadcast(context, 0, i, 0);
	    am.cancel(pi);
	    //am.setRepeating(AlarmManager.RTC_WAKEUP, System.currentTimeMillis(), 1000 * 60 * 10, pi); // Millisec * Second * Minute
	    am.setInexactRepeating(AlarmManager.RTC_WAKEUP, System.currentTimeMillis(), 1000 * 6, pi); 
		 Log.i(strLogTag, "Alarm Setting Done.");
	}
	
	public void CancelAlarm(Context context)
	{
	    Intent intent = new Intent("com.sample.timerproject.START_ALARM");
	    PendingIntent sender = PendingIntent.getBroadcast(context, 0, intent, 0);
	    AlarmManager alarmManager = (AlarmManager) context.getSystemService(Context.ALARM_SERVICE);
	    alarmManager.cancel(sender);
		 Log.i(strLogTag, "Alarm Cancelled.");
	}

}
